> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /PartnerAccess

> Retrieve shared user data through Flinks APIs using a partner access token.

Use the `/PartnerAccess` endpoint if you are partnered with a client of Flinks and you want to retrieve shared user data through Flinks APIs.

To successfully call this endpoint, you must have an AuthSecret and an Access Token. If you do not have these, ask your partner to provide them for you.

Use the data that you retrieve from this endpoint within the terms that you and your partner have consented to.

```
```


## OpenAPI

````yaml GET /partneraccess/{accesstoken}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /partneraccess/{accesstoken}:
    get:
      tags:
        - Authorization
      summary: Partner Access
      description: >-
        Retrieve shared user data through Flinks APIs using a partner access
        token.
      operationId: partnerAccess
      parameters:
        - name: accesstoken
          in: path
          required: true
          description: The access token provided by the partner.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  GetAccountsDetail:
                    type: object
                    description: The data that you retrieved from the endpoint.
                  RequestId:
                    type: string
                    description: Unique identifier for this request.
              example:
                GetAccountsDetail:
                  - LoginId: eceae0c0-1ed3-468f-ae30-08d6decf1675
                    CustomerId: 43387ca6-0391-4c82-857d-70d95f087ecb
                RequestId: 12345678-1234-1234-1234-123456789012
        '400':
          description: Response Body
          content:
            application/json:
              schema:
                type: object
              example: {}

````